Subject: Re: [X2Go-Dev] Bug#566: X2Go Client for Windows 4.0.2.1 cannot create C:\Users\<username>\ssh\known_hosts file when the local Windows account username has non-Ascii characters

From: Michael DePaulo <[email-masked]>
Date: Tue, 16 Sep 2014 08:43:05 -0400

Hi George,

See inline responses.

On Tue, Sep 16, 2014 at 1:50 AM, Γεώργιος Τρακατέλης
<[email-masked]> wrote:
> Dear Mike,
>
> Two things.
>
> 1. Please make a preview build of X2Go Client for Windows with the patch applied and inform me when you do so.
> I'd rather test a complete preview package of X2Go Client 4.0.3.0 for Windows.

Done: 4.0.3.0-pre01.
The debug build is available too, and I manually updated the shortcuts
in the debug build.[1]
http://code.x2go.org/releases/binary-win32/x2goclient/previews/4.0.3.0/
I will now announce this on the mailing list.

> 2. Before writing this reply I had a recollection of initially having bumped onto a similar bug that was dismissed
> due to the fact that the submitter's system was not POSIX compliant. I searched for the bug but I couldn't find it.
>
> Then I decided to give bug #566 a try on Linux, but Ubuntu 14.04 does not allow non-Ascii characters in user names.
> After that, I did a more thorough search and finally found the aforementioned bug. It is bug #397!
> I'm wondering why that bug was filed as an x2goserver bug instead of x2goclient.

Bug #397 refers to when the user's home folder on the server has
non-Ascii characters. That is why the bug is filed against x2goserver.

Normally I would say that we should clone this bug (566) for X2Go
Client for Linux. However, the bug report is already extremely long, I
think we should just file a new one and link to this one. Could you
please file one?

> The good news: I managed to change my (linux test) home folder to /home/néstor using usermod
> (changing to /home/Γιώργος is impossible (Γιώργος=George in Greek)).
> Findings: x2goclient managed to create known_hosts but the nxproxy module failed
> "*** longjmp causes uninitialized stack frame ***: /user/lib/nx/bin/nxproxy terminated"
>
> In bug #397, Néstor gives another reason for failure
> "Error: The remote NX proxy closed the connection."
> which implies x2goserver rejected the connection, so I stopped there.
> Could you possibly test it? (If you cannot type an é, just copy-paste néstor)
>
> -George

1st of all, you were talking about a home dir with non-Ascii
characters on the client machine, correct? If so, that test is not
applicable to #397 for the aforementioned reason.

In order to properly test the fix for #397 on Ubuntu, we would have to
build a nightly build of x2goserver 4.0.1.16 or 4.1.0.0 from source.
It is not fixed in 4.0.1.15.

(AFAIK, there are no automated nightly x2goserver builds for Ubuntu.
Only for Debian, Fedora and EPEL.[2])

Besides, our "fix" for #397 is not to make homedirs with non-Ascii
characters "work". Our "fix" is to present a better error message and
cleanly abort the session.

-Mike#2

[1] http://wiki.x2go.org/doku.php/wiki:development:build-howto-mswin:x2goclient#build_x2go_client_from_source_debug_build
[2] http://jenkins.x2go.org:8080/view/Server/